package com.ruoyi.mxjb.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 院校计划历史对象 b_busi_wish_university_marjors_plan_submit
 * 
 * @author mingxue
 * @date 2022-07-22
 */
public class BBusiWishUniversityMarjorsPlanSubmit extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long planId;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private Long submitId;

    private Long groupId;

    /** 院校 */
    @Excel(name = "院校")
    private Long universityId;

    /** 所在地 */
    @Excel(name = "所在地")
    private String location;

    /** 年份 */
    @Excel(name = "年份")
    private String year;

    /** 院校代码 */
    @Excel(name = "院校代码")
    private String collegeCode;

    /** 层次 */
    @Excel(name = "层次")
    private String level;

    /** 科类： 1理科(物理)，0文科(历史), 2文理不分 */
    @Excel(name = "科类： 1理科(物理)，0文科(历史), 2文理不分")
    private Integer liberalScience;

    /** 科目限制 */
    @Excel(name = "科目限制")
    private String course;

    /** 科目主 */
    @Excel(name = "科目主")
    private String course0;

    /** 科目或 */
    @Excel(name = "科目或")
    private String course1;

    /** 科目与 */
    @Excel(name = "科目与")
    private String course2;

    /** 专业名 */
    @Excel(name = "专业名")
    private String marjorName;

    /** 专业组id */
    @Excel(name = "专业组id")
    private Long marjorCollegeId;

    private SubmitYearsStats stats;

    /** 状态(0:无效,1:有效) */
    @Excel(name = "状态(0:无效,1:有效)")
    private Integer status;

    public void setPlanId(Long planId) 
    {
        this.planId = planId;
    }

    public Long getPlanId() 
    {
        return planId;
    }
    public void setSubmitId(Long submitId)
    {
        this.submitId = submitId;
    }

    public Long getSubmitId()
    {
        return submitId;
    }
    public void setGroupId(Long groupId) {
        this.groupId = groupId;
    }

    public Long getGroupId() {
        return groupId;
    }
    public void setUniversityId(Long universityId)
    {
        this.universityId = universityId;
    }

    public Long getUniversityId()
    {
        return universityId;
    }
    public void setLocation(String location) 
    {
        this.location = location;
    }

    public String getLocation() 
    {
        return location;
    }
    public void setYear(String year) 
    {
        this.year = year;
    }

    public String getYear() 
    {
        return year;
    }
    public void setCollegeCode(String collegeCode) 
    {
        this.collegeCode = collegeCode;
    }

    public String getCollegeCode() 
    {
        return collegeCode;
    }
    public void setLevel(String level) 
    {
        this.level = level;
    }

    public String getLevel() 
    {
        return level;
    }
    public void setLiberalScience(Integer liberalScience)
    {
        this.liberalScience = liberalScience;
    }

    public Integer getLiberalScience()
    {
        return liberalScience;
    }
    public void setCourse(String course) {
        this.course = course;
    }

    public String getCourse() {
        return course;
    }
    public void setCourse0(String course0) {
        this.course0 = course0;
    }

    public String getCourse0() {
        return course0;
    }
    public void setCourse1(String course1) {
        this.course1 = course1;
    }

    public String getCourse1() {
        return course1;
    }
    public void setCourse2(String course2) {
        this.course2 = course2;
    }

    public String getCourse2() {
        return course2;
    }
    public void setMarjorName(String marjorName)
    {
        this.marjorName = marjorName;
    }

    public String getMarjorName() 
    {
        return marjorName;
    }
    public void setMarjorCollegeId(Long marjorCollegeId) 
    {
        this.marjorCollegeId = marjorCollegeId;
    }

    public Long getMarjorCollegeId() 
    {
        return marjorCollegeId;
    }
    public void setStatus(Integer status) 
    {
        this.status = status;
    }

    public Integer getStatus() 
    {
        return status;
    }
    public void setStats(SubmitYearsStats stats) {
        this.stats = stats;
    }

    public SubmitYearsStats getStats() {
        return stats;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("planId", getPlanId())
            .append("submitId", getSubmitId())
            .append("universityId", getUniversityId())
            .append("location", getLocation())
            .append("year", getYear())
            .append("collegeCode", getCollegeCode())
            .append("level", getLevel())
            .append("liberalScience", getLiberalScience())
            .append("marjorName", getMarjorName())
            .append("marjorCollegeId", getMarjorCollegeId())
            .append("createTime", getCreateTime())
            .append("status", getStatus())
            .toString();
    }
}
